%global commit0 8d14b10652b2fe6c25d8ad8334e2d5023d254313
%global gittag0 VERSION_%{version}
%global shortcommit0 %(c=%{commit0}; echo ${c:0:7})

%define major 0
%define gmajor 1.0
%define libname %mklibname accounts-glib %major
%define libgir %mklibname accounts-glib-gir %{gmajor}
%define develname %mklibname -d accounts-glib

Name: libaccounts-glib
Version: 1.23
Release: %mkrel 1
Group: System/Libraries
Summary: Accounts and SSO (Single Sign-On) framework
License: LGPLv2
URL: https://gitlab.com/accounts-sso/libaccounts-glib
Source0: %{url}/repository/archive.tar.gz?ref=%{gittag0}#/%{name}-%{version}.tar.gz

BuildRequires: pkgconfig(check) >= 0.9.4
BuildRequires: pkgconfig(gio-2.0) >= 2.36
BuildRequires: pkgconfig(gio-unix-2.0)
BuildRequires: pkgconfig(glib-2.0) >= 2.26
BuildRequires: pkgconfig(gobject-2.0) >= 2.35.1
BuildRequires: pkgconfig(libxml-2.0)
BuildRequires: pkgconfig(pygobject-3.0) >= 2.90
BuildRequires: pkgconfig(sqlite3) >= 3.7.0
BuildRequires: python2-devel
BuildRequires: python-gi >= 2.90
BuildRequires: xsltproc
BuildRequires: gobject-introspection-devel
BuildRequires: gnome-common
BuildRequires: gtk-doc
BuildRequires: autoconf
BuildRequires: automake
BuildRequires: libtool

%description
Accounts and SSO (Single Sign-On) framework for Linux and POSIX based
platforms.

%package -n %{libname}
Group: System/Libraries
Summary: Accounts and SSO (Single Sign-On) framework

%description -n %{libname}
Accounts and SSO (Single Sign-On) framework for Linux and POSIX based
platforms.

%package -n %{libgir}
Group: System/Libraries
Summary: GObject Introspection interface description for %{name}
Requires: %{libname} = %{version}-%{release}

%description -n %{libgir}
GObject Introspection interface description for %{name}.

%package -n %{develname}
Summary: Development files for %{name}
Group: Development/C
Requires: %{libname} = %{version}-%{release}
Requires: %{libgir} = %{version}-%{release}
Provides: %{name}-devel = %{version}-%{release}
Provides: %{name}-devel%{?_isa} = %{version}-%{release}

%description -n %{develname}
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%package -n python2-%{name}
Summary: Python 2 binding for %{name}
Group: Development/Python
Requires: python-gi
Obsoletes: python-%{name} < %{version}-%{release}
Provides: python-%{name} = %{version}-%{release}

%description -n python2-%{name}
Python 2 binding for %{name}.

%package docs
Summary: Documentation for %{name}
Group: Documentation
BuildArch: noarch

%description docs
The %{name}-docs package contains documentation for %{name}.

%prep
%autosetup -n %{name}-%{gittag0}-%{commit0} -p1

%build
./autogen.sh
%configure2_5x --disable-static --enable-gtk-doc
%make_build

%install
%make_install

find %{buildroot} -name "*.la" -delete

# create/own data dirs
mkdir -p %{buildroot}%{_datadir}/accounts/{applications,providers,services,service_types}

# add docs manually to %%doc instead
rm -rfv %{buildroot}%{_prefix}/doc/reference

%check
# advisory and non-fatal for now
make check || cat tests/test-suite.log ||:


%files
%license COPYING
%doc AUTHORS ChangeLog README NEWS
%{_bindir}/ag-backup
%{_bindir}/ag-tool
%{_mandir}/man1/ag-backup.1*
%{_mandir}/man1/ag-tool.1*
%dir %{_datadir}/backup-framework
%dir %{_datadir}/backup-framework/applications
%{_datadir}/backup-framework/applications/*.conf
%dir %{_datadir}/xml/
%dir %{_datadir}/xml/accounts/
%dir %{_datadir}/xml/accounts/schema/
%dir %{_datadir}/xml/accounts/schema/dtd
%{_datadir}/xml/accounts/schema/dtd/accounts-*.dtd
%dir %{_datadir}/accounts/
%dir %{_datadir}/accounts/applications/
%dir %{_datadir}/accounts/providers/
%dir %{_datadir}/accounts/services/
%dir %{_datadir}/accounts/service_types/
						
%files -n %{libname}
%license COPYING
%{_libdir}/%{name}.so.%{major}
%{_libdir}/%{name}.so.%{major}.*

%files -n %{libgir}
%{_libdir}/girepository-1.0/Accounts-%{gmajor}.typelib

%files -n %{develname}
%{_libdir}/%{name}.so
%{_libdir}/pkgconfig/%{name}.pc
%{_includedir}/%{name}
%{_datadir}/gir-1.0/Accounts-%{gmajor}.gir
%{_datadir}/dbus-1/interfaces/*.xml
%{_datadir}/vala/vapi/*
## testing bits
%{_datadir}/%{name}
%{_libdir}/%{name}

%files docs
%{_datadir}/gtk-doc/html/libaccounts-glib/

%files -n python2-%{name}
%{python2_sitearch}/gi/overrides/Accounts.*


%changelog
* Fri Nov 11 2016 ngompa <ngompa> 1.23-1.mga6
+ Revision: 1066608
- Upgrade to 1.23
- Sync packaging structure with Fedora
- Adapted to use newer macros
- Build documentation and put in docs subpackage
- Run tests on an advisory basis (failures don't kill the build)
- Dropped unneeded patch

* Sun Apr 03 2016 neoclust <neoclust> 1.21-1.mga6
+ Revision: 997854
- New version 1.21

* Wed Feb 03 2016 danf <danf> 1.18-2.mga6
+ Revision: 933310
- Use -Wno-error to allow building even with compiler warnings

  + tv <tv>
    - rebuild with fixed ghostscript:q!

* Tue Sep 01 2015 fwang <fwang> 1.18-1.mga6
+ Revision: 871816
- update file list
- apply patches
- fix coverage include
- disable gcov
- br gtk-doc
- 1.18

* Wed Oct 15 2014 umeabot <umeabot> 1.16-4.mga5
+ Revision: 749715
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 1.16-3.mga5
+ Revision: 726693
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 1.16-2.mga5
+ Revision: 681319
- Mageia 5 Mass Rebuild

* Sun Aug 24 2014 neoclust <neoclust> 1.16-1.mga5
+ Revision: 667237
- New version

* Sat May 31 2014 pterjan <pterjan> 1.12-4.mga5
+ Revision: 628288
- Rebuild for new Python

* Sat Nov 02 2013 fwang <fwang> 1.12-3.mga4
+ Revision: 548951
- add requires

* Sat Oct 19 2013 umeabot <umeabot> 1.12-2.mga4
+ Revision: 536215
- Mageia 4 Mass Rebuild

* Mon Sep 23 2013 fwang <fwang> 1.12-1.mga4
+ Revision: 483708
- disable tests
- new version 1.12

* Fri May 31 2013 fwang <fwang> 1.8-1.mga4
+ Revision: 433576
- new version 1.8

* Sat Jan 12 2013 umeabot <umeabot> 1.4-3.mga3
+ Revision: 356787
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Dec 11 2012 fwang <fwang> 1.4-2.mga3
+ Revision: 329535
- add gir pkg
- build gir

* Mon Dec 10 2012 fwang <fwang> 1.4-1.mga3
+ Revision: 329355
- update file list
- update file list for py binding
- update file list
- imported package libaccounts-glib

